
Ruby - Bug #10607

 Segmentation fault, with nokogiri craching ruby

12/17/2014 07:12 AM - joel23421 (joel Bernard)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.0.0p353 (2013-11-22 revision

43784) [x86_64-linux]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:244: [BUG] Segmentation fault

ruby 2.0.0p353 (2013-11-22 revision 43784) [x86_64-linux]

-- Control frame information -----------------------------------------------

c:0080 p:0011 s:0451 e:000450 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:244 [FINISH]

c:0079 p:---- s:0448 e:000447 IFUNC

c:0078 p:0011 s:0446 e:000444 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:237 [FINISH]

c:0077 p:---- s:0442 e:000441 CFUNC  :upto

c:0076 p:0013 s:0438 e:000437 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:236 [FINISH]

c:0075 p:---- s:0434 E:0021d0 CFUNC  :collect

c:0074 p:0007 s:0431 E:000298 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:244

c:0073 p:0226 s:0428 e:000426 METHOD /opt/rails/backlinkmonitor/app/controllers/application_controller.rb:19

c:0072 p:0009 s:0410 e:000409 BLOCK  /opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:15 [FINISH]

c:0071 p:---- s:0407 e:000406 CFUNC  :each

c:0070 p:0040 s:0404 e:000403 METHOD /opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:14

c:0069 p:0012 s:0400 e:000399 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/implicit_render.rb:4

c:0068 p:0011 s:0394 e:000393 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/base.rb:167

c:0067 p:0023 s:0389 e:000388 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/rendering.rb:10

c:0066 p:0010 s:0385 e:000384 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/callbacks.rb:18

c:0065 p:0028 s:0383 e:000382 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:403

c:0064 p:0090 s:0378 e:000377 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405

c:0063 p:0019 s:0369 e:000368 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385

c:0062 p:0020 s:0364 e:000363 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81

c:0061 p:0012 s:0358 E:0003c0 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/callbacks.rb:17

c:0060 p:0010 s:0354 e:000353 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/rescue.rb:29

c:0059 p:0010 s:0349 e:000348 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/instrumentation.rb:30

c:0058 p:0013 s:0345 e:000344 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123

c:0057 p:0027 s:0343 e:000342 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/notifications/instrumenter.rb:20

c:0056 p:0028 s:0336 e:000335 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123

c:0055 p:0092 s:0331 e:000330 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/instrumentation.rb:29

c:0054 p:0092 s:0326 e:000325 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/params_wrapper.rb:207
c:0053 p:0026 s:0319 e:000318 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/railties/controller_runtime.rb:18

c:0052 p:0069 s:0314 e:000313 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/base.rb:121

c:0051 p:0062 s:0308 e:000307 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/rendering.rb:45

c:0050 p:0036 s:0303 e:000302 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal.rb:203

c:0049 p:0072 s:0298 e:000297 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/rack_delegation.rb:14

c:0048 p:0017 s:0292 e:000291 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal.rb:246 [FINISH]

c:0047 p:---- s:0289 e:000288 CFUNC  :call

c:0046 p:0014 s:0285 e:000284 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:73

c:0045 p:0078 s:0279 e:000278 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:36

c:0044 p:0115 s:0273 e:000272 BLOCK  /home/py/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:68 [FINISH]

c:0043 p:---- s:0262 e:000261 CFUNC  :each

c:0042 p:0035 s:0259 e:000258 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:56

c:0041 p:0017 s:0255 e:000254 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:612

c:0040 p:0011 s:0251 e:000250 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/best_standards_support.rb:17

c:0039 p:0011 s:0244 e:000243 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/etag.rb:23

c:0038 p:0050 s:0236 e:000235 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/conditionalget.rb:25

c:0037 p:0077 s:0229 e:000228 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/head.rb:14

c:0036 p:0034 s:0222 e:000221 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/params_parser.rb:21

c:0035 p:0046 s:0217 e:000216 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/flash.rb:242

c:0034 p:0023 s:0209 e:000208 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210

c:0033 p:0009 s:0201 e:000200 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205

c:0032 p:0016 s:0197 e:000196 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/cookies.rb:341

c:0031 p:0044 s:0189 e:000188 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/query_cache.rb:64

c:0030 p:0021 s:0180 e:000179 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_pool.rb:4

c:0029 p:0011 s:0172 e:000171 BLOCK 

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:28

c:0028 p:0035 s:0170 e:000169 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405

c:0027 p:0090 s:0163 e:000162 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405

c:0026 p:0019 s:0154 e:000153 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385

c:0025 p:0020 s:0149 e:000148 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81

c:0024 p:0009 s:0143 E:002300 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:27

c:0023 p:0027 s:0139 e:000138 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/reloader.rb:65

c:0022 p:0032 s:0134 e:000133 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/remote_ip.rb:31

c:0021 p:0013 s:0130 e:000129 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/debug_exceptions.rb:16

c:0020 p:0013 s:0123 e:000122 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/show_exceptions.rb:56

c:0019 p:0077 s:0117 e:000116 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:32

c:0018 p:0011 s:0112 e:000111 BLOCK  /home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16

c:0017 p:0016 s:0110 e:000109 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/tagged_logging.rb:22

c:0016 p:0054 s:0105 e:000104 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16

c:0015 p:0032 s:0100 e:000099 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/request_id.rb:22
c:0014 p:0075 s:0093 e:000092 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/methodoverride.rb:21

c:0013 p:0024 s:0088 e:000087 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/runtime.rb:17

c:0012 p:0037 s:0079 e:000078 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/cache/strategy/local_cache.rb:72

c:0011 p:0056 s:0075 e:000074 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/lock.rb:15

c:0010 p:0094 s:0068 e:000067 METHOD

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/static.rb:63

c:0009 p:0016 s:0062 e:000061 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/engine.rb:479

c:0008 p:0024 s:0058 e:000057 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/application.rb:223

c:0007 p:0011 s:0054 e:000053 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/content_length.rb:14

c:0006 p:0011 s:0045 e:000044 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/log_tailer.rb:17

c:0005 p:0284 s:0040 e:000039 METHOD /home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59

c:0004 p:0185 s:0028 e:000027 METHOD /home/py/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:138

c:0003 p:0310 s:0018 e:000017 METHOD /home/py/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:94

c:0002 p:0089 s:0007 e:000006 BLOCK  /home/py/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/server.rb:295 [FINISH]

c:0001 p:---- s:0002 e:000001 TOP    [FINISH]

/home/py/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/server.rb:295:in block in start_thread'

/home/py/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:94:in run'

/home/py/.rvm/rubies/ruby-2.0.0-p353/lib/ruby/2.0.0/webrick/httpserver.rb:138:in service'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59:in service'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/log_tailer.rb:17:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/content_length.rb:14:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/application.rb:223:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/engine.rb:479:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/static.rb:63:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/lock.rb:15:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/cache/strategy/local_cache.rb:72:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/runtime.rb:17:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/request_id.rb:22:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/tagged_logging.rb:22:in tagged'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:16:in block in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/railties-3.2.13/lib/rails/rack/logger.rb:32:in call_app'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/show_exceptions.rb:56:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/debug_exceptions.rb:16:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/remote_ip.rb:31:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/reloader.rb:65:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:27:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81:in run_callbacks'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385:in _run_call_callbacks'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in __run_callback'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in

_run__2497820013379612973__call__3589274882501660430__callbacks'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:28:in block in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_pool.rb:4

79:in call' /home/py/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/query_cache.rb:64:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/cookies.rb:341:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in context'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/flash.rb:242:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/params_parser.rb:21:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/head.rb:14:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/conditionalget.rb:25:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/rack-1.4.5/lib/rack/etag.rb:23:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/middleware/best_standards_support.rb:17:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:612:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:56:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:56:in each'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/journey-1.0.4/lib/journey/router.rb:68:in block in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:36:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:73:in dispatch'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:73:in call'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal.rb:246:in block in action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/rack_delegation.rb:14:in dispatch'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal.rb:203:in dispatch'
/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/rendering.rb:45:in process'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/base.rb:121:in process'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activerecord-3.2.13/lib/active_record/railties/controller_runtime.rb:18:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/params_wrapper.rb:207:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/instrumentation.rb:29:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123:in instrument'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/notifications/instrumenter.rb:20:in instrument'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123:in block in instrument'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/instrumentation.rb:30:in block in

process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/rescue.rb:29:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/callbacks.rb:17:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81:in run_callbacks'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385:in

_run_process_action_callbacks'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in __run_callback'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:403:in

_run__3843245276781157276__process_action__1948255219649967462__callbacks'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/callbacks.rb:18:in block in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/rendering.rb:10:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/abstract_controller/base.rb:167:in process_action'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/actionpack-3.2.13/lib/action_controller/metal/implicit_render.rb:4:in send_action'

/opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:14:in scan_urllist_for_dofollow'

/opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:14:in each'

/opt/rails/backlinkmonitor/app/controllers/backlinkmonitor_controller.rb:15:in block in scan_urllist_for_dofollow'

/opt/rails/backlinkmonitor/app/controllers/application_controller.rb:19:in is_doffolow_comment'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:244:in inner_text'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:244:in collect'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:236:in each'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:236:in upto'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:237:in block in each'

/home/py/.rvm/gems/ruby-2.0.0-p353/gems/nokogiri-1.6.3.1/lib/nokogiri/xml/node_set.rb:244:in block in inner_text'

-- C level backtrace information -------------------------------------------

Related issues:

Is duplicate of Ruby - Bug #10599: http.rb:1866: Segmentation fault Rejected 12/15/2014

History

#1 - 12/17/2014 09:57 PM - nobu (Nobuyoshi Nakada)

- Is duplicate of Bug #10599: http.rb:1866: Segmentation fault added

#2 - 05/07/2016 12:36 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

2.0.0 is EOL. Please try with 2.2/2.3.

#3 - 07/23/2019 02:47 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
